#ifndef RCL_DF3EXCEPTIONS_HPP
#define RCL_DF3EXCEPTIONS_HPP

namespace Exceptions {

    class DF3Exceptions {
    public:
	virtual ~DF3Exceptions() {}
	virtual void debug() const = 0;
    private:
    };
    
    class IOError : public DF3Exceptions{
    public:
	IOError(std::string filename) {this->file = filename;}
	virtual ~IOError() {}
	void debug() const 
	{
	    std::cout << "\nERROR:\tUnable to open " << this->file << "\n"
		      << "DF3 file not created.\n";
	}
    private:
	std::string file;
    };

}


#endif
